- Qt 5.15
- Qt Widgets
- C++ Classes
- QLineEdit
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QLineEdit

The following members of class QLineEdit are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` void | getTextMargins(int *left, int *top, int *right, int *bottom) const

## Member Function Documentation

### void QLineEdit::getTextMargins(int *left, int *top, int *right, int *bottom) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use textMargins()

Returns the widget's text margins for left, top, right, and bottom.

This function was introduced in Qt 4.5.

See also setTextMargins().